Subject: Re: OpenSSL
To: John Klos <>
From: grant beattie <>
List: tech-pkg
Date: 12/15/2003 18:10:14
On Sun, Dec 14, 2003 at 10:29:22AM +0100, Thomas Klausner wrote:

> > Was there ever a reason given for why pkgsrc OpenSSL is now required for
> > many packages when the system OpenSSL is new enough?
> Usually this should be handled by the openssl
> file correctly -- perhaps your system OpenSSL _isn't_ new enough?
> Or the file. Or there is a bug somewhere.

NetBSD 1.6.2_RC3 has the required #define to indicate that the
base system openssl contains the relevant fix. in that case, pkgsrc
openssl won't be used unless explicitly specified by a pkg. certainly,
that's how it is working for me..

but you didn't say what OS you were talking about... :)